%global srcname twine

Summary:        Utilities for interacting with PyPI
Name:           python-%{srcname}
Version:        4.0.2
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/pypa/twine
Source0:        https://files.pythonhosted.org/packages/source/t/twine/twine-%{version}.tar.gz

BuildArch:      noarch

%description
Twine is a utility for publishing Python packages on PyPI.
It provides build system independent uploads of source and
binary distribution artifacts for both new and existing
projects.

%package -n %{srcname}
Summary:        Twine is a utility for publishing Python packages on PyPI
BuildRequires:  python3-devel pyproject-rpm-macros python3dist(build) python3dist(jaraco-envs)
BuildRequires:  python3dist(munch) python3dist(portend) python3dist(pretend) python3dist(pytest)
BuildRequires:  python3dist(pytest-cov) python3dist(sphinx) python3dist(sphinxcontrib-programoutput)

%description -n %{srcname}
Twine is a utility for publishing Python packages on PyPI.
It provides build system independent uploads of source and
binary distribution artifacts for both new and existing
projects.


%prep
%autosetup -n %{srcname}-%{version}
%generate_buildrequires
%pyproject_buildrequires -r
sed -i '/--disable-socket/d' pytest.ini

%build
%pyproject_wheel
PYTHONPATH=$PWD sphinx-build-3 -b man docs/ docs/build/man -c docs/
rm -r docs/build/man/.doctrees

%install
%pyproject_install
%pyproject_save_files twine
install -p -D -T -m 0644 docs/build/man/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{srcname}.1

%check
%pytest -v \
      --deselect tests/test_integration.py \
      --deselect tests/test_upload.py::test_check_status_code_for_wrong_repo_url ;

%files -n %{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst AUTHORS
%{_mandir}/man1/%{srcname}.1*
%{_bindir}/twine

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Miaojun Dong <zoedong@tencent.com> - 4.0.2-1
- initial build
